# Virtual Brain Lab Aquarium

![PyPI - Version](https://img.shields.io/pypi/v/vbl-aquarium)
[![Build Models](https://github.com/VirtualBrainLab/vbl-aquarium/actions/workflows/build-models.yml/badge.svg)](https://github.com/VirtualBrainLab/vbl-aquarium/actions/workflows/build-models.yml)
[![Static Analysis](https://github.com/VirtualBrainLab/vbl-aquarium/actions/workflows/static-analysis.yml/badge.svg)](https://github.com/VirtualBrainLab/vbl-aquarium/actions/workflows/static-analysis.yml)
[![Hatch project](https://img.shields.io/badge/%F0%9F%A5%9A-Hatch-4051b5.svg)](https://github.com/pypa/hatch)
[![Ruff](https://img.shields.io/endpoint?url=https://raw.githubusercontent.com/astral-sh/ruff/main/assets/badge/v2.json)](https://github.com/astral-sh/ruff)
[![Checked with pyright](https://microsoft.github.io/pyright/img/pyright_badge.svg)](https://microsoft.github.io/pyright/)

Collection of Pydantic models describing data objects passed between Virtual
Brain Lab projects.

Corresponding JSON schema and C# files are generated automatically and are
located in the `models` directory.

<div class="grid cards" markdown>

-   __:fontawesome-solid-computer: Usage__

    ---

    Learn how to use VBL Aquarium in your project

    [:octicons-arrow-right-24: Usage](home/usage.md)

-   __:fontawesome-solid-code: Develop Models__

    ---

    Install VBL Aquarium locally to develop new models

    [:octicons-arrow-right-24: Install](home/development.md)


-   __:material-api: Model API Reference__

    ---

    View the API reference for the models

    [:octicons-arrow-right-24: API](reference/vbl_aquarium/models/index.md)
</div>
